Subject: Re: [PATCH v2 05/18] gnu: Add clojure-core-memoize.

From: Reily Siegel <[email-masked]>
Date: Fri, 18 Mar 2022 10:01:49 +0100

Maxime Devos <[email-masked]> writes:

> Looks like there's a bug somewhere then.  Has this been reported? 
> Could a link be added to the report so we know when the #:aot-exclude
> can be removed?  If it's an issue with ant-build-system, can this be
> reported?

Clojure libraries are usually not designed to be AOT-compiled, and are
largely distributed in source form. The fact that Guix's
clojure-build-system chooses to AOT all Clojure code by default is
confusing to me. At some point, this default should probably be changed
because many Clojure libraries rely on the fact that they are
distributed uncompiled to work properly.

-- 
Reily Siegel